package osvscanner

import (
	"reflect"
	"testing"

	"github.com/google/osv-scanner/pkg/models"
	"github.com/google/osv-scanner/pkg/osv"
	"github.com/google/osv-scanner/pkg/reporter"
)

func Test_groupResponseBySource(t *testing.T) {
	t.Parallel()
	type args struct {
		r            reporter.Reporter
		packages     []scannedPackage
		resp         *osv.HydratedBatchedResponse
		callAnalysis bool
	}
	tests := []struct {
		name string
		args args
		want models.VulnerabilityResults
	}{}
	for _, tt := range tests {
		tt := tt // Reinitialize for t.Parallel()
		t.Run(tt.name, func(t *testing.T) {
			t.Parallel()
			if got := buildVulnerabilityResults(tt.args.r, tt.args.packages, tt.args.resp, tt.args.callAnalysis); !reflect.DeepEqual(got, tt.want) {
				t.Errorf("groupResponse() = %v, want %v", got, tt.want)
			}
		})
	}
}
